/* ===============================
   SECCIÓN PROYECTOS
=================================*/
.proyectos{
  padding: 8rem 2rem;
  max-width: 140rem;
  margin: 0 auto;
}

/* GRID */

.grid-proyectos{
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
  gap: 3rem;
  justify-content: center;
  margin: 0 auto;
}

/* TARJETA PROYECTO */

.proyecto{
  aspect-ratio: 4 / 3;/* Todas cuadradas */
  overflow: hidden;
  border-radius: 14px;
  cursor: pointer;
}

.proyecto img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform .4s ease;
}

.proyecto:hover img{
  transform: scale(1.15);
}


/* ===============================
   MODAL
=================================*/

.modal{
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,.95);
  justify-content: center;
  align-items: center;
  z-index: 9999;
  padding: 2rem;
}

.modal-content{
  position: relative;
  width: 100%;
  max-width: 900px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal-content img{
  width: 100%;
  max-height: 75vh;
  object-fit: contain;
  border-radius: 12px;
}

/* BOTÓN CERRAR */

.cerrar{
  position: absolute;
  top: 25px;
  right: 35px;
  font-size: 4rem;
  color: #fff;
  cursor: pointer;
}


/* FLECHAS */

.flecha{
  position: absolute;
  background: rgba(255,255,255,.15);
  border: none;
  color: #fff;
  font-size: 3rem;
  cursor: pointer;
  padding: 1rem 1.5rem;
  border-radius: 50%;
  transition: .3s ease;
}

.flecha:hover{
  background: rgba(255,255,255,.35);
}

.izquierda{
  left: -60px;
}

.derecha{
  right: -60px;
}


/* ===============================
   RESPONSIVE
=================================*/

@media (max-width: 992px){
  .grid-proyectos{
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px){

  .grid-proyectos{
    grid-template-columns: 1fr;
    margin: 0 auto;
  }

  .flecha{
    font-size: 2rem;
    padding: .7rem 1rem;
  }

  .izquierda{
    left: 10px;
  }

  .derecha{
    right: 10px;
  }

}
@media (max-width: 992px){
  .grid-proyectos{
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px){
  .grid-proyectos{
    grid-template-columns: 1fr;
  }
}